@charset "utf-8";
/* CSS Document */

*{box-sizing: border-box;}

#main-content {
    width: 100%;
    text-align: center;
}
.borderone {
    border: 10px solid red
}
.bordertwo {
    border: 2px solid red
}
/* floats */
.fl{
    float: left;
}
.fr{
    float: right;
}
#margin-test{
    margin: 50px;
    padding: 50px;
    border: 10px solid;
    border-color: red;
}
.half-width-col{
    border: 1px solid;
    border-color: red;
    float: left;
    width: 48%;
    margin: 1%;
    padding: 2%;
}
.third-width-col{
    border: 1px solid;
    border-color: red;
    float: left;
    width: 31.33%;
    margin: 1%;
    padding: 2%
}
.four-width-col{
    border: 1px solid;
    border-color: red;
    float: left;
    width: 23%;
    margin: 1%;
    padding: 2%
}
#div2{
    border-color: aqua;
}
#div3{
    border-color: lightgreen;
}
#div4{
    border-color: blueviolet;
}
nav ul{
    list-style: none;
}
nav li{
    display: inline-block; margin: 0 10px 0 10px; background-color: #aaa; padding: 15px;
}
h1, h2, h3, h4{
    font-family: "Kanit", sans-serif;
}
p{
    font-family: "Fascinate Inline", system-ui;
}
/*---------------------------------------------BREAKPOINT---------------------------------------------*/

/* x-large */
@media only screen and (max-width: 1200px){
    .half-width-col {width: 98%;}
    .third-width-col {width: 98%;}
    .four-width-col {width: 98%;}
}
/* large */
@media only screen and (max-width: 1080px){
    .half-width-col {width: 48%;}
    .third-width-col {width: 48%;}
    .four-width-col {width: 48%;}
}
/* x-small */
@media only screen and (max-width: 576px){
    .half-width-col {width: 98%;}
    .third-width-col {width: 98%;}
    .four-width-col {width: 98%;}
}

section{
    float: left; width: 100%;
}